#
# spec file for package python-sphinx-testing
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-sphinx-testing
Version:        1.0.1
Release:        bp155.2.14
Summary:        Testing utility classes and functions for Sphinx extensions
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/sphinx-doc/sphinx-testing
Source:         https://files.pythonhosted.org/packages/source/s/sphinx-testing/sphinx-testing-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx
Requires:       python-six
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python-mock
%endif
%python_subpackages

%description
sphinx-testing provides testing utility classes and functions for Sphinx extensions.

%prep
%setup -q -n sphinx-testing-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc AUTHORS CHANGES.rst README.rst
%{python_sitelib}/*

%changelog
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Fri May 17 2019 Hardik Italia <hitalia@suse.com>
- updte to 1.0.1
  * Support Sphinx-2.0.1
* Fri Mar 29 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 1.0.0
- enable testsuite
  * Support Sphinx-2.0
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Jul  3 2017 tbechtold@suse.com
- update to 0.7.2:
  * Fix cleanups for Sphinx 1.6
- convert to singlespec
* Mon Sep  5 2016 tbechtold@suse.com
- Initial packaging (version 0.7.1)
